Subject: Re: [BEHAVE] predictable translations

From: "Poscic, Kristian (Kristian)" <[email-masked]>
Date: Wed, 12 Oct 2011 11:17:58 -0500

Thanks Remi. I will look at the draft.
As you say we will need to exclude certain ports sets (well known ports and potentially another static port range beyond well known one for static port mappings) from deterministic allocation..
But I also like the idea of being able to extend the deterministic port range with the dynamic port ranges as described in Chris' draft just in case that a user run out of the ports in the deterministic port range. Of course logging would be used in that case for the dynamic port ranges.

Thanks,
Kris

From: Rémi Després [mailto:[email-masked]]
Sent: Wednesday, October 12, 2011 9:11 AM
To: Poscic, Kristian (Kristian)
Cc: [email-masked]
Subject: Re: [BEHAVE] predictable translations

Hi Kris,

In a recent draft a purely algorithmic mapping between a Port-set ID of k bits and 2^k disjoint port sets, none of which includes privileged ports 0-4095, has been described (ref Tools.ietf.org/html/draft-despres-softwire-4rd-addmapping-01<http://Tools.ietf.org/html/draft-despres-softwire-4rd-addmapping-01>).

This port-set algorithm hasn't reached WG consensus yet, but seems to be generally considered as the best candidate for that.

If inside addresses have a common prefix of length 32 - k, it can be used AFAIK for what you are looking for.

Regards,
RD

Le 22 sept. 2011 à 20:56, Poscic, Kristian (Kristian) a écrit :

Hi there -
Does anyone knows of any draft that is addressing a more predictable translations between the inside IP and outside IP + port range when it comes to NAT44.
For example in order to avoid logging, IPv4 inside address would be automatically (via an algorithm) be converted to an outside IPv4 address  + a port range. This mapping would be unique so that no logging is required. The revertive algo would be able to convert the outside IP + port back  to the inside IP.

I've seen some drafts addressing something similar in the softwire WG but they all deal with IPv4/IPv6 translations.
Thanks,
Kris
_______________________________________________
Behave mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/behave